%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         coreos
%global repo            go-systemd
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}

%global commit          7a81740665de3d730bf98811f6b2ae5746e42a32
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-coreos-go-systemd
Version:        2
Release:        6%{?dist}
Summary:        Go bindings to systemd socket activation, journal and D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/godbus/dbus)
Summary:        Go bindings to systemd socket activation, journal and D-BUS APIs
Provides: golang(%{import_path}/activation) = %{version}-%{release}
Provides: golang(%{import_path}/daemon) = %{version}-%{release}
Provides: golang(%{import_path}/dbus) = %{version}-%{release}
Provides: golang(%{import_path}/journal) = %{version}-%{release}
Provides: golang(%{import_path}/login1) = %{version}-%{release}
Provides: golang(%{import_path}/unit) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use coreos/go-systemd.

%prep
%setup -qn %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/{activation,daemon,dbus,examples,fixtures,journal,login1,unit}
cp -pav {activation,dbus,daemon,examples,fixtures,journal,login1,unit} %{buildroot}/%{gopath}/src/%{import_path}

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 2-6
- Bump to upstream 7a81740665de3d730bf98811f6b2ae5746e42a32
  The last commit containing unchanged StartTransientUnit method (libcontainer)
  and still providing daemon package (fleet).
  related: #1165690

* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 2-5
- Bump to upstream fe2137a286b607d0023a8356cdc22a38098246b8
  related: #1165690

* Mon Mar 30 2015 jchaloup <jchaloup@redhat.com> - 2-4
- Bump to upstream 2d21675230a81a503f4363f4aa3490af06d52bb8
  related: #1165690

* Mon Jan 19 2015 jchaloup <jchaloup@redhat.com> - 2-3
- Adding missing Provides and removing superfluous Provides
  related: #1165690

* Wed Nov 19 2014 jchaloup <jchaloup@redhat.com> - 2-2
- Update to a606a1e936df81b70d85448221c7b1c6d8a74ef1 commit
  resolves: #1165688
- remove gopath and add golang >= 1.2.1-3
- add Requires on github.com/godbus/dbus

* Mon Jun 09 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2-1
- upstream version bump to v2
- change in NVR format since numbered versions are available

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git8514b9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Bobby Powers <bobbypowers@gmail.com> 0-0.4.git8514b9f
- update to latest upstream

* Fri Oct 18 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git68bc612
- double quotes removed from provides

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git68bc612
- provides golang("github.com/coreos/go-systemd")
- defattr removed

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git68bc612
- Initial fedora package
